View Issue Details

IDProjectCategoryView StatusLast Update
0005682GNUnetbuild processpublic2019-05-12 13:29
ReporternikitaAssigned Tonikita 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.4Fixed in Version0.11.4 
Summary0005682: gnunet-download-manager should be updated
DescriptionRemoved from installable data because it is unmaintained.

More serious: no one of us knows if it still works, and it was written with a Guile version which no longer
is supported by Guile. At this point it is assumed to be a broken script we are (no longer) shipping.

If you know guile and want to fix this script, or even better make it more useful again, this is the only
guile file in gnunet and a moderate first step to contribute to gnunet.
TagsNo tags attached.

Activities

nikita

2019-04-06 23:39

developer   ~0014270

This is about src/fs/gnunet-download-manager.scm

If you want to fix it up for Guile 2.2.x before Guile 3.x, comes out, please step up.
I will make this no longer install for now.

Christian Grothoff

2019-04-20 11:58

manager   ~0014307

I think we should strongly consider just removing it entirely.

nikita

2019-04-20 20:44

developer   ~0014321

Dropped.

Issue History

Date Modified Username Field Change
2019-04-06 23:36 nikita New Issue
2019-04-06 23:39 nikita Note Added: 0014270
2019-04-06 23:56 nikita Summary gnunet-download-manager should probably not be in $out/bin => gnunet-download-manager should be updated
2019-04-06 23:56 nikita Description Updated View Revisions
2019-04-07 12:39 nikita Description Updated View Revisions
2019-04-20 11:58 Christian Grothoff Note Added: 0014307
2019-04-20 20:33 nikita Assigned To => nikita
2019-04-20 20:33 nikita Status new => assigned
2019-04-20 20:43 nikita Product Version => SVN HEAD
2019-04-20 20:43 nikita Target Version => 0.11.4
2019-04-20 20:44 nikita Status assigned => resolved
2019-04-20 20:44 nikita Resolution open => fixed
2019-04-20 20:44 nikita Fixed in Version => 0.11.4
2019-04-20 20:44 nikita Note Added: 0014321
2019-05-12 13:29 Christian Grothoff Status resolved => closed